Subject: Versatile Express randomly fails to boot - Versatile Express to be removed from nightly testing

From: [email-masked] (Sudeep Holla)
Date: Tue, 14 Jun 2016 17:31:06 +0100

Hi Tixy,

On 14/06/16 16:31, Jon Medhurst (Tixy) wrote:
> Hi Sudeep
>
> Over the past several days I think I've been unknowingly reproducing
> many of the steps in this old discussion thread [1] about A9 Versatile
> Express boot failures. It's only when I found myself looking at the L2
> cache timings that I got a vague recollection and dug out this old
> thread again. Was there any resolution to the issue? As far as I can
> work out, the A9x4 CoreTile stopped working around Linux 3.18 (the
> problem isn't 100% reproducible so it's difficult to tell).
>
> Using "arm,tag-latency = <2 2 1>" as Russell seemed to indicate [2]
> fixed things for him, also works for me. So should we update mainline
> device-tree with that?
>

That's fine by me.

> Alternatively, we could assume nobody cares about A9 as presumably Linux
> has been unbootable for a year without anyone raising the issue. (The
> only reason I'm looking at it is I may be making U-Boot changes for
> vexpress and I wanted to test them).
>

I admit I just do a boot test every release and I seem to have flashed
the DT so failed to notice any issue. That's my fault.

> But if we are going to just ignore things, I think it would be good to
> delete the A9 dts, or the L2 cache entry, so other people in the future
> don't waste days trying to track down the problem.
>

I am fine either way, if people still use it as reference, we can retain it.

-- 
Regards,
Sudeep